Package Details: gns3-gui 2.2.33.1-1

Git Clone URL: https://aur.archlinux.org/gns3-gui.git (read-only, click to copy)
Package Base: gns3-gui
Description: GNS3 network simulator. Graphical user interface package.
Upstream URL: https://github.com/GNS3/gns3-gui
Licenses: GPL3
Submitter: korjjj
Maintainer: buzo
Last Packager: buzo
Votes: 86
Popularity: 2.16
First Submitted: 2014-05-13 18:56 (UTC)
Last Updated: 2022-06-21 09:31 (UTC)

Dependencies (13)

Required by (1)

Sources (2)

Latest Comments

zbe commented on 2022-06-26 07:44 (UTC)

@Mario156090, just update PKGBUILD and rebuild python-util package yourself. All you need to do is change pkgver/pkgrel.

Mario156090 commented on 2022-06-26 01:18 (UTC) (edited on 2022-06-26 01:19 (UTC) by Mario156090)

Well, the last version for psutil is 5.9.1 and GNS3 require this but Arch official repository does not update yet.

So, I found a Workaround for this.

First, uninstall gns3-server and gsn3-gui. second, install pip3 package. third, install the pip3 version package of psutil, use this command: python -m pip install --upgrade --no-cache-dir --use-deprecated=legacy-resolver psutil

fourth, reinstall gns3-gui and gns3-server.

Good luck people!

buzo commented on 2022-06-22 18:36 (UTC)

Yes, python-psutil needs to be updated, but I can't do anything about that.

mashinkopochinko commented on 2022-06-21 21:03 (UTC)

waiting update python-psutil >=5.9.1

Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 579, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 897, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 788, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (psutil 5.9.0 (/usr/lib/python3.10/site-packages), Requirement.parse('psutil>=5.9.1'), {'gns3-gui'})

kazaii commented on 2022-06-13 11:42 (UTC)

Much appreciated. Launches now.

buzo commented on 2022-06-13 07:32 (UTC)

kazaii: Thanks, that was a typo (‘<’ instead of ‘>’) – fixed.

kazaii commented on 2022-06-11 18:21 (UTC)

Dang, looks like python setuptools 1:60.10 was distributed today

[kazaii@broadview log]$ cat pacman.log | grep 1:60.6
[2022-05-18T09:29:47-0400] [ALPM] upgraded python-setuptools (1:60.5.0-1 -> 1:60.6.0-1)
[2022-06-11T12:38:34-0400] [ALPM] upgraded python-setuptools (1:60.6.0-1 -> 1:60.10.0-1)
[kazaii@broadview log]$ 

Now it's complaining upon launch, not on build

pkg_resources.DistributionNotFound: The 'setuptools<=60.6.0' distribution was not found and is required by gns3-gui

I tried to edit the requirements.txt , with no luck

[kazaii@broadview gns3-gui]$ cat PKGBUILD | grep ==60
        -e 's|^setuptools==60\.10\.0|setuptools<=60.10.0|' \
[kazaii@broadview gns3-gui]$ 

jpbd commented on 2021-12-14 06:56 (UTC)

@buzo the dependency python-sentry_sdk has been updated to

python-sentry_sdk-1.5.1-1

breaks the gns3-gui on update

Traceback (most recent call last):
  File "/usr/bin/gns3", line 33, in <module>
    sys.exit(load_entry_point('gns3-gui==2.2.27', 'gui_scripts', 'gns3')())
  File "/usr/bin/gns3", line 22, in importlib_load_entry_point
    for entry_point in distribution(dist_name).entry_points
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 919, in distribution
    return Distribution.from_name(distribution_name)
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 518, in from_name
    raise PackageNotFoundError(name)
importlib.metadata.PackageNotFoundError: No package metadata was found for gns3-gui

buzo commented on 2021-12-01 16:16 (UTC)

marcBarbier: Can you tell me all missing dependencies, please? Are they required or optional? What are they needed for?

marcBarbier commented on 2021-12-01 13:41 (UTC)

you need to add some packages as dependancies like telnet-bsd and ubridge

buzo commented on 2021-05-10 17:07 (UTC)

Thanks zbe and kazaii, fixed.

kazaii commented on 2021-05-09 15:49 (UTC) (edited on 2021-05-09 15:50 (UTC) by kazaii)

zbe is correct. This has been broken for me since ~ Friday. Fixed it by deleting the contents of ~/.cache/yay/gns3-gui & gns3-server

then re-installing with: yay -S --editmenu gns3-server yay -S --editmenu gns3-gui

(say yes to editing the pkgbuild)

and adding (don't use quotes) "-e 's|^sentry-sdk==1.0.0$|sentry-sdk>=1.0.0|' \"

to similar entries in "prepare() {" section, (the sed commands)

example:

prepare() {
    cd "$pkgname-$pkgver"
    # Arch usually has the latest versions. Patch requirements to allow them.
    sed -i \
        -e 's|^psutil==5\.8\.0$|psutil>=5.8.0|' \
        -e 's|^distro==1\.5\.0$|distro>=1.5.0|' \
        -e 's|^sentry-sdk==1.0.0$|sentry-sdk>=1.0.0|' \   <---- here! 
        requirements.txt

Afte rebuilding both packages, I'm back in my lab. Thanks zbe!

zbe commented on 2021-05-07 07:08 (UTC) (edited on 2021-05-09 21:35 (UTC) by zbe)

gns3-gui doesn't start after updating to python-sentry_sdk 1.1.0-1.

Edit: Add "-e 's|^sentry-sdk==1\.0\.0$|sentry-sdk>=1.0.0|' \" to PKGBUILD.

buzo commented on 2021-04-09 19:33 (UTC)

cookiewookie: Should be fixed with 2.2.20, since upstream switched to sentry-sdk 1.0.0.

cookiewookie commented on 2021-04-05 14:35 (UTC)

python-sentry_sdk fails to download from pypi!

csirek commented on 2020-10-29 07:27 (UTC) (edited on 2020-10-29 07:28 (UTC) by csirek)

After i upgraded from 2.2.5 to 2.2.15 the gns3 does'nt start with a lot of error like this:

$ gns3 Traceback (most recent call last): File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 567, in _build_master ws.require(requires) File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 884, in require needed = self.resolve(parse_requirements(requirements))

etc etc etc....

And the last line is:

pkg_resources.DistributionNotFound: The 'jsonschema==3.2.0' distribution was not found and is required by gns3-gui

So the main problem is need to install "python-jsonschema" 3.2.0-2 and after that the gns3 run as normal. So this jsonschema is a dependency but not install when i upgrade (or remove the old and isntall the new) gns3.

buzo commented on 2020-08-16 09:55 (UTC)

The problems regarding requirements should be fixed with the update to 2.2.12.

commented on 2020-08-09 18:19 (UTC)

@demolisher thanks for your answer! but after downgrading python3-PyQt5 to 5.14.1 it doesnt help me, gns3-gui still cant load at all. I still have the same output log of gns3-gui before

betrunkenaffe commented on 2020-08-06 01:41 (UTC)

I resolved by using python-pip and then downloading the specific version of psutil from https://pypi.org/project/psutil/5.7.0/

theinterwebthing commented on 2020-08-03 00:06 (UTC) (edited on 2020-08-03 00:25 (UTC) by theinterwebthing)

Unable to start

File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 785, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'psutil==5.7.0' distribution was not found and is required by gns3-gui

Updating psutil==5.7.0 to psutil==5.7.1 in /usr/lib/python3.8/site-packages/gns3_gui-2.2.11-py3.8.egg-info/requires.txt solves the issue.

Note these are hardcoded upstream in the requirements.txt

demolisher commented on 2020-07-28 00:17 (UTC)

Hello, deanvry. Had the same issue. Just downgrade PyQt5 to version 5.14.1 and everything starts working again.

commented on 2020-07-19 10:44 (UTC)

Hello, im having a weird some kind of error? the gns3-gui cant start and open up the GUI. Its just stuck like this:

2020-07-19 17:42:55 INFO root:126 Log level: DEBUG
2020-07-19 17:42:55 INFO main:256 GNS3 GUI version 2.2.11
2020-07-19 17:42:55 INFO main:257 Copyright (c) 2007-2020 GNS3 Technologies Inc.
2020-07-19 17:42:55 INFO main:259 Application started with /usr/bin/gns3--debug

For the test, i can run gns3-server with its web ui smoothly.

buzo commented on 2020-06-05 16:44 (UTC)

Thanks cioby23, fixed.

cioby23 commented on 2020-06-04 14:25 (UTC)

Beginning with version 2.2.9 python-raven have been deprecated and replaced by python-sentry_sdk. The PKGBUILD needs to be updated with this dependency. https://aur.archlinux.org/packages/python-sentry_sdk/

almooj commented on 2020-03-07 20:04 (UTC)

Hi DevStacker99, your suggestion has been invaluable! Everything works!!! Thank you so much my friend :)

DevStacker99 commented on 2020-03-07 01:20 (UTC) (edited on 2020-03-07 01:25 (UTC) by DevStacker99)

hello guys, so i had the same error as @almooj and this is how i solved it :


cd /tmp
git clone https://aur.archlinux.org/python-jsonschema26.git
cd python-jsonschema26 
makepkg -si --nocheck

I hope this will help

Thanks in advance.


picokan commented on 2020-03-03 15:46 (UTC) (edited on 2020-03-03 16:23 (UTC) by picokan)

I have the exact same error output as almooj. Edit: Not quite exact, instead of /tmp/yaourt... I have /home/user/.cache/yay/...

almooj commented on 2020-03-01 22:53 (UTC) (edited on 2020-03-01 23:05 (UTC) by almooj)

Hello Buzo and hello everyone, when I try to add the "python-jsonschema26" package I have the following error:

[ERROR]
Traceback (most recent call last):
  File "/usr/lib/python3.8/unittest/case.py", line 60, in testPartExecutor
    yield
  File "/usr/lib/python3.8/unittest/case.py", line 676, in run
    self._callTestMethod(testMethod)
  File "/usr/lib/python3.8/unittest/case.py", line 633, in _callTestMethod
    method()
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/tests/test_jsonschema_test_suite.py", line 63, in test_case
    validate(data, schema, cls=self.validator_class, **kwargs)
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/validators.py", line 541, in validate
    cls(schema, *args, **kwargs).validate(instance)
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/validators.py", line 129, in validate
    for error in self.iter_errors(*args, **kwargs):
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/validators.py", line 105, in iter_errors
    for error in errors:
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/_validators.py", line 163, in format
    validator.format_checker.check(instance, format)
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/_format.py", line 96, in check
    result = func(instance)
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/_format.py", line 259, in is_css21_color
    instance.lower() in webcolors.css21_names_to_hex
builtins.AttributeError: module 'webcolors' has no attribute 'css21_names_to_hex'

jsonschema.tests.test_jsonschema_test_suite.TestDraft3.test_format_26_a_valid_CSS_color_name
jsonschema.tests.test_jsonschema_test_suite.TestDraft3.test_format_27_a_valid_six_digit_CSS_color_code
jsonschema.tests.test_jsonschema_test_suite.TestDraft3.test_format_28_a_valid_three_digit_CSS_color_code
===============================================================================
[ERROR]
Traceback (most recent call last):
  File "/usr/lib/python3.8/unittest/case.py", line 60, in testPartExecutor
    yield
  File "/usr/lib/python3.8/unittest/case.py", line 676, in run
    self._callTestMethod(testMethod)
  File "/usr/lib/python3.8/unittest/case.py", line 633, in _callTestMethod
    method()
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/tests/test_jsonschema_test_suite.py", line 68, in test_case
    validate(data, schema, cls=self.validator_class, **kwargs)
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/validators.py", line 541, in validate
    cls(schema, *args, **kwargs).validate(instance)
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/validators.py", line 129, in validate
    for error in self.iter_errors(*args, **kwargs):
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/validators.py", line 105, in iter_errors
    for error in errors:
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/_validators.py", line 163, in format
    validator.format_checker.check(instance, format)
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/_format.py", line 96, in check
    result = func(instance)
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/_format.py", line 259, in is_css21_color
    instance.lower() in webcolors.css21_names_to_hex
builtins.AttributeError: module 'webcolors' has no attribute 'css21_names_to_hex'

jsonschema.tests.test_jsonschema_test_suite.TestDraft3.test_format_29_an_invalid_CSS_color_code
jsonschema.tests.test_jsonschema_test_suite.TestDraft3.test_format_30_an_invalid_CSS_color_name
jsonschema.tests.test_jsonschema_test_suite.TestDraft3.test_format_31_a_CSS_color_name_containing_invalid_characters
-------------------------------------------------------------------------------
Ran 739 tests in 0.652s

FAILED (skips=2, errors=6, successes=731)
==> ERRORE: Si è verificato un errore in check().
    L'operazione sta per essere interrotta...
==> ERRORE: Makepkg non è riuscito a compilare python-jsonschema26.
==> Riavviare la compilazione di python-jsonschema26 [s/N]

I tried to downgrade the python and to install the last version of python-jsonschema (3.2.0-2) but the situation has not changed. Can you help me please?

Thanks in advance.

EnSER commented on 2020-03-01 16:42 (UTC)

@Archange Any updates with your packaging effort? Would be really great if GNS3 could move to community!

buzo commented on 2020-01-18 13:55 (UTC)

Yes, Python packages need a rebuild after Arch moved to Python 3.8 in October 2019. So rebuilding python-jsonschema26 should fix this indeed.

deemon commented on 2020-01-14 13:44 (UTC) (edited on 2020-01-14 15:13 (UTC) by deemon)

Hello buzo, I have exact same problem like phy0d0r and milenus. Same output as is bellow.

Although I see that I have installed 'jsonschema=2.6.0' (with single '=') and gns3-gui requires 'jsonschema==2.6.0' (with double '=').

EDIT: rebuilding python-jsonschema26 did fix it for me.

milenus commented on 2020-01-14 11:32 (UTC) (edited on 2020-01-14 11:33 (UTC) by milenus)

Hello buzo, I have exact same problem like phy0d0r. Same output as is bellow.

Archange commented on 2019-12-10 23:45 (UTC)

I’m in the work of packaging this to [community], if some people want to try the current, package it’s available at https://paste.xinu.at/m-xMBT/ (it removes the requirements on all -gns3 python deps and use latest ones instead, but I haven’t thoroughly tested it, so some things might break —please report if so).

phy0d0r commented on 2019-11-26 09:35 (UTC)

Hi buzo, i already uninstall/reinstall but the problem is persists.


 ┌─ fyodor at 17:29  ın  {~}
 └─> ₹ » gns3
Traceback (most recent call last):
  File "/usr/bin/gns3", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3252, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3235, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3264, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'jsonschema==2.6.0' distribution was not found and is required by gns3-gui

 ┌─ fyodor at 17:29  ın  {~}
 └─> ₹ » yay -Ss jsonschema
aur/python-jsonschema26 2.6.0-1 (+1 0.03%) (Installed)
    An implementation of JSON Schema validation for Python

buzo commented on 2019-11-25 17:32 (UTC)

Should be fixed now. I have relaxed the requirements to allow python-psutil from the community repo. I hope that is sufficient, else I could add another AUR package for that exact version.

KaiSVK commented on 2019-11-18 20:10 (UTC)

I got the same error as everyone else :/ but that is probably more of a gns3-server package thing.

When I switch to remote server (just my GNS3 VM) gns3-gui works.

However selecting Virtualbox in GNS3 VM -> VM name "Refresh" does not.

phy0d0r commented on 2019-11-17 14:40 (UTC)

Error using gns3-server 2.2.3-1 and gns3-gui 2.2.3-1. Thanks.


Traceback (most recent call last):
  File "/usr/bin/gns3", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 3251, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 3234, in _call_aside
    f(args, *kwargs)
  File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 3263, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 583, in _build_master
    ws.require(requires)
  File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'gns3-gui==2.2.3' distribution was not found and is required by the application

hagar-dunor commented on 2019-11-16 22:09 (UTC)

When starting gns3-gui 2.2.3, I see this on the console

pkg_resources.ContextualVersionConflict: (psutil 5.6.5 (/usr/lib/python3.8/site-packages), Requirement.parse('psutil==5.6.3'), {'gns3-gui'})

phy0d0r commented on 2019-11-13 15:50 (UTC) (edited on 2019-11-13 15:58 (UTC) by phy0d0r)

Hi I'am having error after installing gns-gui 2.2.3 & gns-server 2.2.3. Working again after downgrading to gns3-server-2.2.2-1 and gns3-gui-2.2.2-1. Thanks.


 ┌─ fyodor at 23:46  ın  {~}
 └─> ₹ » gns3
2019-11-13 23:46:47 INFO root:126 Log level: INFO
2019-11-13 23:46:47 INFO main:256 GNS3 GUI version 2.2.3
2019-11-13 23:46:47 INFO main:257 Copyright (c) 2007-2019 GNS3 Technologies Inc.
2019-11-13 23:46:47 INFO main:259 Application started with /usr/bin/gns3
2019-11-13 23:46:52 ERROR local_server:496 Local server process has stopped
2019-11-13 23:46:52 ERROR local_server:498 Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (yarl 1.2.6 (/usr/lib/python3.7/site-packages), Requirement.parse('yarl==1.3.0'), {'gns3-server'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/gns3server", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3250, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3234, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3263, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'yarl==1.3.0' distribution was not found and is required by gns3-server

2019-11-13 23:47:17 CRITICAL utils.progress_dialog:181 WaitForConnectionWorker thread stopping with an error: Could not connect to 127.0.0.1 on port 3080: [Errno 111] Connection refused
2019-11-13 23:47:18 CRITICAL progress_dialog.py:183 Could not connect to 127.0.0.1 on port 3080: [Errno 111] Connection refused

buzo commented on 2019-11-04 19:57 (UTC)

tototony: Which aiohttp/attrs issue?

tototony commented on 2019-10-17 22:51 (UTC) (edited on 2019-10-17 22:58 (UTC) by tototony)

to fix the aiohttp/attrs issue


pacman -S python-pip
pip install aiohttp

buzo commented on 2019-10-06 20:06 (UTC)

Fixed – sorry for the delay, I am currently on vacation.

joetheshmo commented on 2019-10-03 20:03 (UTC)

I'm also experiencing issue with gns3 after the 20191001 update similar to phy0d0r

phy0d0r commented on 2019-10-03 05:11 (UTC)

Hi, I had a problem after installing gns3-server 2.2.0-1 and gns3-gui. Thanks.

Traceback (most recent call last):
  File "/usr/bin/gns3", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3250, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3234, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3263, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'distro>=1.3.0' distribution was not found and is required by gns3-gui

buzo commented on 2019-06-16 19:23 (UTC)

abdulhakeem: Fixed – thanks for the notification.

abdulhakeem commented on 2019-06-15 21:44 (UTC)

I had an issue where the gui would not start because python-jsonschema was too new, I had to downgrade it to version 2.6.0 and then it worked. In case anyone else runs into the same problem.

deconf commented on 2018-11-15 17:42 (UTC)

Please note that the current gns-gui 2.1.11-1 will add a public key to the user authorized_keys file. The problem stems from the upstream https://github.com/GNS3/gns3-gui/commit/a4cf95188eb9993e77c2b187e2f77c0fc869f458 Please pay attention to security issues

Joffrey commented on 2018-09-07 19:43 (UTC)

@hcartiaux, please can you add "python-sip" package as depend.

sonance2071 commented on 2018-07-31 22:04 (UTC) (edited on 2018-07-31 22:04 (UTC) by sonance2071)

I've had issue with this starting on a new arch install. I just had to run sudo pip install SIP

[john@johnxps ~]$ gns3
Fail update installation: No module named 'sip'
Can't import Qt modules: Qt and/or PyQt is probably not installed correctly...
[john@johnxps ~]$ sudo pip install SIP
[sudo] password for john: 
Collecting SIP
  Downloading https://files.pythonhosted.org/packages/8a/ea/d317ce5696dda4df7c156cd60447cda22833b38106c98250eae1451f03ec/sip-4.19.8-cp36-cp36m-manylinux1_x86_64.whl (66kB)
    100% |████████████████████████████████| 71kB 752kB/s 
Installing collected packages: SIP
Successfully installed SIP-4.19.8
[john@johnxps ~]$ gns3 
2018-07-31 17:00:26 INFO root:126 Log level: INFO
2018-07-31 17:00:26 INFO main:259 GNS3 GUI version 2.1.8
2018-07-31 17:00:26 INFO main:260 Copyright (c) 2007-2018 GNS3 Technologies Inc.
2018-07-31 17:00:26 INFO main:262 Application started with /usr/bin/gns3

YogiBare commented on 2018-03-24 20:02 (UTC) (edited on 2018-03-25 20:50 (UTC) by YogiBare)

UPDATE 25MAR18 SOLVED

 

I am experiencing a different segmentation fault with gns3-gui than the one described previously. I am using version 2.1.4.

2018-03-24 16:01:26 INFO root:126 Log level: INFO
2018-03-24 16:01:26 INFO main:258 GNS3 GUI version 2.1.4
2018-03-24 16:01:26 INFO main:259 Copyright (c) 2007-2018 GNS3 Technologies Inc.
2018-03-24 16:01:26 INFO main:261 Application started with /opt/anaconda/bin/gns3
Fatal Python error: Segmentation fault

Current thread 0x00007faf8bc64740 (most recent call first):
  File "/opt/anaconda/lib/python3.6/site-packages/gns3/utils/analytics.py", line 121 in sendScreenView
  File "/opt/anaconda/lib/python3.6/site-packages/gns3/qt/__init__.py", line 212 in __init__
  File "/opt/anaconda/lib/python3.6/site-packages/gns3/main_window.py", line 81 in __init__
  File "/opt/anaconda/lib/python3.6/site-packages/gns3/main.py", line 278 in main
  File "/opt/anaconda/bin/gns3", line 11 in <module>
[1]    17059 segmentation fault (core dumped)  gns3

***SOLVED after a pacman -Syu and conda update anaconda all is well.

hcartiaux commented on 2018-03-19 09:44 (UTC)

@denvit, all ok on my side, remove the old tarball and retry, 2.1.4 has been re-released with a new sha256sum...

denvit commented on 2018-03-18 14:21 (UTC) (edited on 2018-03-18 14:21 (UTC) by denvit)

I get a checksum validation error for gns3-gui-2.1.4.tar.gz :

==> Validating source files with sha256sums...
    gns3-gui-2.1.4.tar.gz ... FAILED
    gns3.desktop ... Passed
==> ERROR: One or more files did not pass the validity check!

caiye commented on 2017-12-11 05:49 (UTC) (edited on 2017-12-11 05:50 (UTC) by caiye)

Version 2.1.0 seems to cause segmentation faults with unknown reason, log[1].

According to the github issue[2], a workaround is to stop logging qt message by commenting out /usr/lib/python3.6/site-packages/gns3/qt/__init__.py line 298 which is log.info(msg_string). The filename and line number are inferred from the log[1].

[1] https://gist.github.com/anonymous/b556f0fcf13b4083676c904649713742

[2] https://github.com/GNS3/gns3-server/issues/1225

physicist1616 commented on 2017-07-18 20:54 (UTC)

May I suggest wireshark-qt instead of wireshark-gtk? (The latter has been at risk of deprecation since 2013, and use of gns3-gui implies use of qt already.) Also, why optional instead of required as it appears to be in gns3's official Ubuntu ppa?

astroboy589 commented on 2017-06-21 23:07 (UTC)

Thanks @hcartiaux for the update. I really appreciate it.

hcartiaux commented on 2017-06-21 15:02 (UTC)

I'm open to co-maintainership... Any help is welcome. I'm blocked on the gns3-server update because it requires outdated python modules, and I don't want to break any working user installation by updating only gns3-gui...

enkeyz commented on 2017-06-18 11:23 (UTC)

Can somebody take over this package?

hcartiaux commented on 2017-05-17 13:29 (UTC)

The PKGBUILD for gns3-gui is easy to update, but gns3-server requires specific outdated version of python modules which must be packaged specifically. If you want the updated GUI PKGBUILD, here it is: pkgname=gns3-gui pkgver=2.0.0 pkgrel=1 pkgdesc='GNS3 network simulator. Graphical user interface package.' arch=('any') url='https://github.com/GNS3/gns3-gui' license=('GPL3') groups=('gns3') makedepends=('python-setuptools') depends=('python-jsonschema' 'gns3-converter' 'python-raven' 'python-psutil' 'python-pyqt5' 'qt5-svg') optdepends=('gns3-server: GNS3 backend. Manages emulators such as Dynamips, VirtualBox or Qemu/KVM.' 'dynamips: Cisco router emulator.' 'xterm: Default terminal emulator for CLI management of virtual instances.' 'wireshark-gtk: Live packet capture.') source=("${pkgname}-${pkgver}.tar.gz::https://github.com/GNS3/${pkgname}/archive/v${pkgver}.tar.gz" 'gns3.desktop') md5sums=('f7f72460edf457acb68c866ca130108f' 'ac6ba60be0a1cb7fc965d1a105e431d5') package() { cd ${srcdir}/${pkgname}-${pkgver} python setup.py install --root=${pkgdir} --optimize=1 install -Dm644 ${srcdir}/gns3.desktop ${pkgdir}/usr/share/applications/gns3.desktop install -Dm644 ${srcdir}/${pkgname}-${pkgver}/resources/images/gns3_icon_256x256.png ${pkgdir}/usr/share/pixmaps/gns3.png install -Dm644 ${srcdir}/${pkgname}-${pkgver}/LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE }

alexanderp commented on 2017-05-17 12:41 (UTC)

Hi. Any progress on this?

taca commented on 2017-05-11 20:41 (UTC) (edited on 2017-05-11 20:41 (UTC) by taca)

Hello, Just in case, the commented out substitution in the PKGBUILD prepare should now be run on "requirements.txt", not "setup.py". I also had an issue with gui scaling. Apparently High DPI is enabled by virtue of having QT and PyQT version 5.6 or above. I don't have a high DPI screen, but I do have QT 5.8. So I commented out lines 36-39 of gns3/application.py which fixed that particular problem. Regards,

alexanderp commented on 2017-05-10 12:23 (UTC)

Ok hcartiaux. I'll check back on Monday then.

hcartiaux commented on 2017-05-09 13:23 (UTC)

@alexanderp I will not have the time before this week-end. I can add you to the co-maintainer list if you want.

alexanderp commented on 2017-05-09 12:37 (UTC)

1. This package is in dire need of an update. 2. Replace dependency to gns3-net-converter with gns3-converter hcartiaux, do you have the time to maintain this package?

Yann.O commented on 2017-04-13 08:19 (UTC)

Using this package at version "1.5.3", after running `gns3server` I was struck with the same error when trying to run the `gns3` client : ``` Traceback (most recent call last): File "/usr/bin/gns3", line 6, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.6/site-packages/pkg_resources/__in it__.py", line 3036, in <module> @_call_aside File "/usr/lib/python3.6/site-packages/pkg_resources/__in it__.py", line 3020, in _call_aside f(*args, **kwargs) File "/usr/lib/python3.6/site-packages/pkg_resources/__in it__.py", line 3049, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.6/site-packages/pkg_resources/__in it__.py", line 654, in _build_master ws.require(__requires__) File "/usr/lib/python3.6/site-packages/pkg_resources/__in it__.py", line 968, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.6/site-packages/pkg_resources/__in it__.py", line 854, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'gns3-net-converter >=1.3.0' distribution was not found and is required by gns3 -gui ``` I solved it by installing the python module in userspace : `pip install --user gns3-net-converter`

astroboy589 commented on 2017-03-03 09:10 (UTC)

+1 for munzirtaka. I get the same thing.

munzirtaha commented on 2017-02-09 22:08 (UTC)

~> gns3 Traceback (most recent call last): File "/usr/bin/gns3", line 6, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3030, in <module> @_call_aside File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3014, in _call_aside f(*args, **kwargs) File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3043, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 654, in _build_master ws.require(__requires__) File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 968, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 854, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'gns3-net-converter>=1.3.0' distribution was not found and is required by gns3-gui ~> pacman -Q gns3-net-converter gns3-net-converter 1.3.0-1

hcartiaux commented on 2017-01-31 08:59 (UTC)

Sorry for the delay, I've updated the PKGBUILD to 1.5.3.

santinas commented on 2017-01-28 09:58 (UTC)

Hi korjjj, Do you need package maintainer? Please do contact me. Thanks.

enderst commented on 2016-12-21 01:58 (UTC)

Very cool thanks!

korjjj commented on 2016-12-20 23:39 (UTC)

Nope. Sorry about that. Also made @hcartiaux a co-maintainer as per his request.

enderst commented on 2016-12-20 22:58 (UTC)

Maybe korjjj has abandoned the gns3 pkgs?

jeffryang24 commented on 2016-09-18 04:00 (UTC)

gns3-gui 1.5.2 has been released... I think the package should be updated to version 1.5.2.

zigo commented on 2016-07-27 17:32 (UTC)

i get this error when trying to upgrade to gns3-gui-1.5.1 Errors occurred, no packages were upgraded. ==> WARNING: Your packages are saved in /tmp/yaourt-tmp-zigo cp: overwrite '/tmp/yaourt-tmp-zigo/gns3-net-converter-1.3.0-1-any.pkg.tar.xz'? Any Solution Plz

jmartins commented on 2016-07-13 17:26 (UTC)

Please update to latest version tks Joao

buhaha commented on 2016-07-10 17:24 (UTC)

1.5.1 http://pastebin.com/ptASz6VK

bubbles commented on 2016-07-08 09:39 (UTC)

1.5.1 releases is out.

buhaha commented on 2016-07-05 15:13 (UTC)

1.5.0 http://pastebin.com/GQrGbE9C

buhaha commented on 2016-06-24 23:45 (UTC)

1.5.0rc2 http://pastebin.com/SQjBFrk7

Cravix commented on 2016-04-10 13:48 (UTC)

1.4.5 is out, time to upgrade bro :P

noplay commented on 2016-04-08 13:06 (UTC)

Hi, python-paramiko is no longer require.

cioby23 commented on 2016-01-12 22:27 (UTC)

Version 1.4 is out

b3nn commented on 2015-12-24 05:23 (UTC) (edited on 2015-12-25 00:52 (UTC) by b3nn)

v1.3.13 is out now... update: thanks for the quick turn-around.

dopeadmin commented on 2015-09-09 16:21 (UTC)

are you planning on updating ? new version is out

Neldogz commented on 2015-08-04 17:23 (UTC)

First time attempting to install GNS3 from AUR and it was successful. First installed gns3-gui then, gns3-server, dynamips, vboxwrapper and iouyap. A big thanks to Korjjj the maintainer for making this available and smooth install.

grawity commented on 2015-05-24 10:24 (UTC)

It's troublesome to build the gns3-* packages when using $SRCDEST, since all of them try to download different tarballs with the exact same filename. So, please change the source URL in all packages to: source=("${pkgname}-${pkgver}.tar.gz::https://github.com/GNS3/${pkgname}/archive/v${pkgver}.tar.gz" ...)

igu0 commented on 2015-04-25 12:48 (UTC)

I've upgraded from 1.2 to 1.3 and getting the following raceback (most recent call last): File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 639, in _build_master ws.require(__requires__) File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 940, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 832, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (aiohttp 0.15.1 (/usr/lib/python3.4/site-packages), Requirement.parse('aiohttp>=0.15.1-1'), {'gns3-server'}) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/bin/gns3server", line 5, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 3057, in <module> working_set = WorkingSet._build_master() File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 641, in _build_master return cls._build_from_requirements(__requires__) File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 654, in _build_from_requirements dists = ws.resolve(reqs, Environment()) File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 827, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'aiohttp>=0.15.1-1' distribution was not found and is required by gns3-server ============================================================= $ pacman -Qs gns3 local/gns3-converter 1.2.3-1 GNS3 topology converter. local/gns3-gui 1.3.1-1 GNS3 network simulator. Graphical user interface package. local/gns3-server 1.3.1-1 GNS3 network simulator. Server package. local/iouyap 0.95-1 Bridge IOU to UDP, TAP and Ethernet. GNS3 tool. local/vboxwrapper 0.9.1-1 VirtualBox wrapper for python 2.7. GNS3 tool. ====================================================== ]# cat /usr/lib/python3.4/site-packages/gns3_server-1.3.1-py3.4.egg-info/requires.txt #aiohttp>=0.14.4 aiohttp>=0.15.1-1 jsonschema>=2.4.0 Jinja2>=2.7.3 raven>=5.2.0

korjjj commented on 2015-04-09 13:28 (UTC)

Okay, 1.3.0-3 is just about gns3.desktop

max-k commented on 2015-04-09 09:52 (UTC)

Hi korjjj, Any plan to add a desktop file ? You can find one here with some icons : http://ppa.launchpad.net/gns3/ppa/ubuntu/pool/main/g/gns3/gns3_0.8.6-1~ppa4.debian.tar.gz Thanks

korjjj commented on 2014-11-20 17:44 (UTC)

@izmntuk Updated. Thanks.

izmntuk commented on 2014-11-20 17:24 (UTC)

Hello, it seems that gns3-converter is now a dependency of gns3-gui. (Without this, gns3 doesn't work any more.)[0] 0: https://github.com/GNS3/gns3-gui/commit/860873ac21ee49ee2cc53e765b0b4e9ac52d604f

korjjj commented on 2014-10-25 07:27 (UTC)

okay

max-k commented on 2014-10-24 08:32 (UTC)

Hi, Could you add the optional dependency ? xterm : To access boxes consoles Thank you.

max-k commented on 2014-10-23 14:51 (UTC)

GNS3 1.1 released

astroboy589 commented on 2014-10-21 07:00 (UTC)

Version 1 is out now

dack commented on 2014-10-16 21:15 (UTC)

beta4 is out. package seems to work with a version bump and adding 'python-paramiko' to the dependencies.